| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_normalize_dot
GTX Extensions (Experimental)

Dot product of vectors that need to be normalize with a single square root. More...

## Functions
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | fastNormalizeDot (vecType< T, P > const &x, vecType< T, P > const &y)
| Normalize parameters and returns the dot product of x and y. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | normalizeDot (vecType< T, P > const &x, vecType< T, P > const &y)
| Normalize parameters and returns the dot product of x and y. More...

## Detailed Description

Dot product of vectors that need to be normalize with a single square root.

<glm/gtx/normalized_dot.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL T glm::fastNormalizeDot | ( | vecType< T, P > const & | x,
|  | vecType< T, P > const & | y
| ) |  |

Normalize parameters and returns the dot product of x and y.

Faster that dot(fastNormalize(x), fastNormalize(y)).

See also
  GLM_GTX_normalize_dot extension.

GLM_FUNC_DECL T glm::normalizeDot | ( | vecType< T, P > const & | x,
|  | vecType< T, P > const & | y
| ) |  |

Normalize parameters and returns the dot product of x and y.

It's faster that dot(normalize(x), normalize(y)).

See also
  GLM_GTX_normalize_dot extension.